
From: Jesper Juhl <jesper.juhl@gmail.com>

Remove (or edit) remaining references to the now dead verify_area() function
from files in Documentation/.

Signed-off-by: Jesper Juhl <jesper.juhl@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/cdrom/sonycd535              |    3 ++-
 Documentation/exception.txt                |    2 +-
 Documentation/feature-removal-schedule.txt |    7 -------
 3 files changed, 3 insertions(+), 9 deletions(-)

diff -puN Documentation/cdrom/sonycd535~remove-verify_area-remove-or-edit-references-to-verify_area-in-documentation Documentation/cdrom/sonycd535
--- devel/Documentation/cdrom/sonycd535~remove-verify_area-remove-or-edit-references-to-verify_area-in-documentation	2005-08-30 00:13:03.000000000 -0700
+++ devel-akpm/Documentation/cdrom/sonycd535	2005-08-30 00:13:03.000000000 -0700
@@ -68,7 +68,8 @@ it a better device citizen.  Further tha
 Porfiri Claudio <C.Porfiri@nisms.tei.ericsson.se> for patches
 to make the driver work with the older CDU-510/515 series, and
 Heiko Eissfeldt <heiko@colossus.escape.de> for pointing out that
-the verify_area() checks were ignoring the results of said checks.
+the verify_area() checks were ignoring the results of said checks
+(note: verify_area() has since been replaced by access_ok()).
 
 (Acknowledgments from Ron Jeppesen in the 0.3 release:)
 Thanks to Corey Minyard who wrote the original CDU-31A driver on which
diff -puN Documentation/exception.txt~remove-verify_area-remove-or-edit-references-to-verify_area-in-documentation Documentation/exception.txt
--- devel/Documentation/exception.txt~remove-verify_area-remove-or-edit-references-to-verify_area-in-documentation	2005-08-30 00:13:03.000000000 -0700
+++ devel-akpm/Documentation/exception.txt	2005-08-30 00:13:03.000000000 -0700
@@ -7,7 +7,7 @@ To protect itself the kernel has to veri
 
 In older versions of Linux this was done with the 
 int verify_area(int type, const void * addr, unsigned long size) 
-function.
+function (which has since been replaced by access_ok()).
 
 This function verified that the memory area starting at address 
 addr and of size size was accessible for the operation specified 
diff -puN Documentation/feature-removal-schedule.txt~remove-verify_area-remove-or-edit-references-to-verify_area-in-documentation Documentation/feature-removal-schedule.txt
--- devel/Documentation/feature-removal-schedule.txt~remove-verify_area-remove-or-edit-references-to-verify_area-in-documentation	2005-08-30 00:13:03.000000000 -0700
+++ devel-akpm/Documentation/feature-removal-schedule.txt	2005-08-30 00:13:03.000000000 -0700
@@ -57,14 +57,6 @@ Who:	Paul E. McKenney <paulmck@us.ibm.co
 
 ---------------------------
 
-What:	remove verify_area()
-When:	July 2006
-Files:	Various uaccess.h headers.
-Why:	Deprecated and redundant. access_ok() should be used instead.
-Who:	Jesper Juhl <juhl-lkml@dif.dk>
-
----------------------------
-
 What:	IEEE1394 Audio and Music Data Transmission Protocol driver,
 	Connection Management Procedures driver
 When:	November 2005
_
